Discover MySQL Instances
This operation discovers MySQL instances on the specified client.
Use this API to auto-discover MySQL instances running on a client machine. The discovered instances can then be added and configured for backup and restore operations.
Path Parameters
- clientId int64 required
Client ID of the client on which MySQL instances are to be discovered
Responses
- 200
- 400
- 401
- 404
OK
- application/json
- Schema
- Example (from schema)
- Successful Discovery
- Discovery with error
Schema
error object
Error information object
errorString stringError message string. Empty string indicates success.
errorCode int64Error code. 0 indicates success.
{
"error": {
"errorString": "string",
"errorCode": 0
}
}
{
"error": {
"errorString": "",
"errorCode": 0
}
}
{
"error": {
"errorString": "Failed to discover MySQL instances on the client.",
"errorCode": 1
}
}
Bad Request
- application/json
- Schema
- Example
Schema
- string
Request body is empty or format is invalid
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}
Not Found
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "No client found with the specified client ID",
"errorCode": 4
}
Loading...